import { Component, Input, Inject, Host, OnInit } from 'ng-metadata/core';
import { CorTabPanelComponent } from './cor-tab-panel.component';


/**
 * A component that creates a single tab pane under a cor-tabs component.
 */
@Component({
  selector: 'cor-tab-pane',
  templateUrl: '/static/js/directives/ui/cor-tabs/cor-tab-pane.component.html',
  legacy: {
    transclude: true,
  }
})
export class CorTabPaneComponent implements OnInit {
  @Input('@') public id: string;

  // Whether this is the active tab.
  private isActiveTab: boolean = false;

  constructor(@Host() @Inject(CorTabPanelComponent) private parent: CorTabPanelComponent) {
  }

  public ngOnInit(): void {
    this.parent.addTabPane(this);
  }

  public changeState(isActive: boolean): void {
    this.isActiveTab = isActive;
  }
}
