import { Component, Input, Output, Inject, EventEmitter, Host } from 'ng-metadata/core';
import { CorTabComponent } from './cor-tab.component';
import { CorTabPanelComponent } from './cor-tab-panel.component';


/**
 * A component that holds the actual tabs.
 */
@Component({
  selector: 'cor-tabs',
  templateUrl: '/static/js/directives/ui/cor-tabs/cor-tabs.component.html',
  legacy: {
    transclude: true,
  }
})
export class CorTabsComponent {
  // If true, the tabs are in a closed state. Only applies in the mobile view.
  private isClosed: boolean = true;

  constructor(@Host() @Inject(CorTabPanelComponent) private parent: CorTabPanelComponent) {
  }

  private toggleClosed(e): void {
    this.isClosed = !this.isClosed;
  }
}
